org.eclipse.emf.cdo.server.spi.security

## Class InternalSecurityManager.CommitHandler2.WithUser

- java.lang.Object
- - org.eclipse.emf.cdo.server.spi.security.InternalSecurityManager.CommitHandler2.WithUser

- All Implemented Interfaces:
    InternalSecurityManager.CommitHandler, InternalSecurityManager.CommitHandler2
  Enclosing interface:
    InternalSecurityManager.CommitHandler2

      public abstract static class InternalSecurityManager.CommitHandler2.WithUser
      extends java.lang.Object
      implements InternalSecurityManager.CommitHandler2

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.spi.security.InternalSecurityManager.CommitHandler2

      `InternalSecurityManager.CommitHandler2.WithUser`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.spi.security.InternalSecurityManager.CommitHandler

      `InternalSecurityManager.CommitHandler.Factory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WithUser()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleCommit(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext, User user)` Called before the commit is security checked and passed to the repository.
    `void` | `handleCommitted(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext)` Called after the commit has succeeded.
    `protected abstract void` | `handleCommitted(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext, User user)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.spi.security.InternalSecurityManager.CommitHandler

      `init`

- - ### Constructor Detail

    - #### WithUser

          public WithUser()

  - ### Method Detail

    - #### handleCommit

          public void handleCommit(InternalSecurityManager securityManager,
                                   IStoreAccessor.CommitContext commitContext,
                                   User user)

      Description copied from interface: `InternalSecurityManager.CommitHandler`
      Called before the commit is security checked and passed to the repository.
      Specified by:
        `handleCommit` in interface `InternalSecurityManager.CommitHandler`
        `user` - the committing user or `null` if this commit is `triggered` by the system.
      See Also:
        `InternalSecurityManager.CommitHandler2`

    - #### handleCommitted

          public void handleCommitted(InternalSecurityManager securityManager,
                                      IStoreAccessor.CommitContext commitContext)

      Description copied from interface: `InternalSecurityManager.CommitHandler2`
      Called after the commit has succeeded.
      Specified by:
        `handleCommitted` in interface `InternalSecurityManager.CommitHandler2`

    - #### handleCommitted

          protected abstract void handleCommitted(InternalSecurityManager securityManager,
                                                  IStoreAccessor.CommitContext commitContext,
                                                  User user)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html